#version 330 core
layout (location = 0) out vec4 color;
layout (location = 1) out vec4 BrightColor;
  
uniform vec3 objectColor;
uniform vec3 lightColor;

void main()
{
    color = vec4(lightColor * objectColor, 1.0f);
	vec3 colorRGB = color.rgb;
	float brightness = dot(colorRGB, vec3(0.2126, 0.7152, 0.0722));
    if(brightness > 5.0)
        BrightColor = vec4(colorRGB, 1.0);
}